#!/bin/sh

# This is what I use to generate the maps on my website
# (see http://www.randomly.org/projects/mapper).

# Placed in the public domain.
# Oliver Jowett <oliver@randomly.org>   28/10/2002

source=/usr/network/familiar/camelot/patches/TOA_mapper
bindir=.
font=./6x12-ISO8859-1.pil

set -e

mkdir -p out work

zonesA=`python $bindir/zonelist.py -gamepath $source -region 1 -simple`
zonesM=`python $bindir/zonelist.py -gamepath $source -region 100 -simple`
zonesH=`python $bindir/zonelist.py -gamepath $source -region 200 -simple`

for z in $zonesA $zonesM $zonesH
do
  python $bindir/mapper.py -settings everything.ini -gamepath $source -scale 512 -zone $z -out work/map${z}.png
  python $bindir/mapper.py -settings overview.ini -gamepath $source -scale 512 -zone $z -out work/map${z}_o.png
  pngtopnm work/map${z}.png | pnmtojpeg --optimize >out/map${z}.jpg
done

python $bindir/glue.py -gamepath $source -out work/alb.png -scale 10 -fontpath $font -template work/map%03d_o.png -region 1 >out/alb.imagemap
python $bindir/glue.py -gamepath $source -out work/mid.png -scale 10 -fontpath $font -template work/map%03d_o.png -region 100 >out/mid.imagemap
python $bindir/glue.py -gamepath $source -out work/hib.png -scale 10 -fontpath $font -template work/map%03d_o.png -region 200 >out/hib.imagemap

pngtopnm work/alb.png | ppmquant -floyd 256 | pnmtopng -transparent black >out/alb.png
pngtopnm work/mid.png | ppmquant -floyd 256 | pnmtopng -transparent black >out/mid.png
pngtopnm work/hib.png | ppmquant -floyd 256 | pnmtopng -transparent black >out/hib.png
